TYPO3.Flow - Feature # 315

Status: Resolved Priority: Must have
Author: Robert Lemke Category: MVC
Created: 2008-02-15 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:

PHP Version:

Has patch:

Complexity:

Subject: Add "format" support to the Request object

Description

The Request object (mainly WebRequest) should contain information about the requested format. Currently it only provides a
controller and an action name.
The default format would be "html" for web requests and "text" for CLI requests.

The router which extracts information for building a web request could determine the requested format from two sources:

- the file extension (.html, .txt, .pdf, .js, .json, .atom, .rss, .xml etc.)
- the HTTP headers (content negotiation) - this is mainly for AJAX requests

See also:

http://www.iana.org/assignments/media-types/

http://en.wikipedia.org/wiki/Content negotiation

Related issues:

related to TYPOS3.Flow - Feature # 10680: Implement Content Negotiation Support

Resolved

2010-11-08

History

#1 - 2008-07-01 15:32 - Robert Lemke
- Target version deleted (18)

#2 - 2008-08-12 09:46 - Robert Lemke
- % Done changed from 0 to 50

This was mainly addressed by r1077 (added support for format).

What's still missing is the analysis of the HTTP headers / the content negotiation.

#3 - 2008-10-28 12:58 - Karsten Dambekalns
- Priority changed from Should have to Must have

- Target version set to 1.0 alpha 1

#4 - 2009-05-19 11:48 - Robert Lemke
- Target version changed from 1.0 alpha 1 to 283

#5 - 2009-07-13 11:24 - Robert Lemke
- Target version deleted (283)

#6 - 2010-08-24 15:11 - Robert Lemke
http://www.iana.org/assignments/media-types/
http://en.wikipedia.org/wiki/Content_negotiation

- Target version set to 1.0 alpha 11

#7 - 2010-08-24 17:00 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 50 to 100

Okay, as it seems the Accept header is not used consistently and correctly among different browser (see
http://www.gethifi.com/blog/browser-rest-http-accept-headers) and that even if it was, there are a number of reasons why multiple URLSs for different

formats is the better design choice (see also http://www.artima.com/weblogs/viewpost.jsp?thread=192218).

Therefore | drop the idea of built-in content negotiation, at least for now.
